View Issue Details

IDProjectCategoryView StatusLast Update
0004240Talerwallet (WebExtensions)public2016-04-28 22:16
ReporterChristian Grothoff Assigned ToFlorian Dold  
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.0 
Target Version0.0Fixed in Version0.0 
Summary0004240: wallet shows 'insufficient funds' only after I press "confirm payment"
DescriptionIf I have an empty wallet and click on a page that sends a contract proposal to the wallet, I get the dialog asking me to pay say 0.05 KUDOS, even though my wallet is empty.

When I click on "Confirm Payment", the wallet instantly shows "You do not have enough coins in the requested currency". First of all, that message should be highlighted better, but also it should simply be present *immediately* as the wallet can tell locally that it doesn't have enough funds.

Furthermore, if the wallet knows it has insufficient funds, the "Confirm Payment" button should be made insensitive. We may want to also automatically show the list of accepted exchanges/auditors at this point.
TagsNo tags attached.

Relationships

related to 0004181 closedFlorian Dold user experience for insufficient funds error is bad 

Activities

Florian Dold

2016-04-27 06:05

manager   ~0010566

Fixed in d0a4f9f

Issue History

Date Modified Username Field Change
2016-03-11 09:12 Christian Grothoff New Issue
2016-03-11 09:12 Christian Grothoff Status new => assigned
2016-03-11 09:12 Christian Grothoff Assigned To => Florian Dold
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004266
2016-04-08 00:08 Christian Grothoff Relationship added related to 0004181
2016-04-08 00:08 Christian Grothoff Target Version 0.1 => 0.2
2016-04-27 06:05 Florian Dold Note Added: 0010566
2016-04-27 06:05 Florian Dold Status assigned => resolved
2016-04-27 06:05 Florian Dold Resolution open => fixed
2016-04-28 22:16 Christian Grothoff Status resolved => closed
2016-04-28 22:16 Christian Grothoff Fixed in Version => 0.0
2016-04-28 22:16 Christian Grothoff Target Version 0.2 => 0.0